Subject: RE: Backspace prob with vim under rxvt
From: Kevin Schnitzius <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2000 16:35:24 -0400

http://www.ibbnet.nl/~anne/keyboard.html

This is targeted at linux but it provides background and some solutions.

Kevin

		-----Original Message-----
		From:	Charles Wilson [mailto:[email-masked]]
		Sent:	Friday, April 21, 2000 16:23
		To:	Bob McGowan
		Cc:	[email-masked]
		Subject:	Re: Backspace prob with vim under rxvt

		Bob McGowan wrote:
		> 
		> "Charles S. Wilson" wrote:
		> >
		> > "John A. Turner" wrote:
		> >
		> > > >   I don't see this behavior. What are your stty
settings, CYGWIN
		> > > > variable settings, .inputrc contents, and .vimrc
contents?
		> ...
		> > My point was not that everyone should copy my settings,
but that there
		> > may have been some obvious thing in Kevin's settings
that was messing
		> > things up; e.g. 'stty erase ^h" or something similar but
wrong. To tell
		> ...                ^^^^^^^^^^^^^
		> 
		> The "something similar but wrong" seems to imply that the
'stty erase
		> ^h' is wrong. 

		Oh gee. I was afraid this would happen. "stty erase ^h" is
perfectly
		fine in certain situations. "stty erase ^?" is also okay in
other
		situations. I didn't wan't to enshrine something obviously
wrong in the
		email archives, so I said, "something similar to 'xxxx'
*BUT* wrong",
		whereas 'xxxx' is (often) right.

		That is, perhaps Kevin had "stty erase ^X" or somesuch. I
dunno; I was
		just recommending that he take a look -- stty settings have
historically
		been the (cause|cure) of backspace problems, so it's always
worth a
		shot.

		Again, my stty settings contain no specific reference to
'erase' at all.
		(I did experiment with it, and explicitly set 'erase' to
'^h' and '^?'
		and vim-in-rxvt worked fine in both cases.)

		NOTE: '^h' is not "caret" "h", but is typed as "CTRL-V
CTRL-H". '^?' is
		not "caret" "question", but is typed as "CTRL-V"
"BACKSPACEKEY".

		> Is this correct?  And if so, could you explain why?  In a
		> standard UNIX setup, this is perfectly legal and something
I have done
		> frequently.  Though I must admit it was for standard
serial interfaced
		> terminals and not pseudo tty based xterms...
		> 
		> Thanks,
		> 
		> --
		> Bob McGowan
		> Staff Software Quality Engineer
		> VERITAS Software
		> [email-masked]

		--
		Want to unsubscribe from this list?
		Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]